시스템 훅 API
REST API로 시스템 훅을 설정하고 관리합니다.
이 API를 사용하여 시스템 훅 을 관리합니다. 시스템 훅은 그룹의 모든 프로젝트와 서브그룹에 영향을 미치는 그룹 웹훅 , 단일 프로젝트로 제한된 프로젝트 웹훅 과는 다릅니다. 사전 요건: 관리자여야 합니다. 모든 시스템 훅 목록 조회 # 모든 시스템 훅을 나열합니다. GET /hooks 요청 예시: curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/hooks" 응답 예시: [ { "id" : 1 , "url" : "https://gitlab.example.com/hook" , "name" : "Hook name" , "description" : "Hook description" , "created_at" : "2016-10-31T12:32:15.192Z" , "push_events" : true , "tag_push_events" : false , "merge_requests_events" : true , "repository_update_events" : true , "enable_ssl_verification" : true , "url_variables" : [ ] , "token_present" : false , "signing_token_present" : false } ] 히스토리 name 및 description 속성이 GitLab 17.1에서 도입 되었습니다. token_present 및 signing_token_present 속성이 GitLab 19.0에서 도입 되었습니다. 시스템 훅 조회 # ID로 시스템 훅을 조회합니다. GET /hooks/:id 속성 유형 필수 여부 설명 id integer 예 훅의 ID. 요청 예시: curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/hooks/1" 응답 예시: { "id" : 1 , "url" : "https://gitlab.example.com/hook" , "name" : "Hook name" , "description" : "Hook description" , "created_at" : "2016-10-31T12:32:15.192Z" , "push_events" : true , "tag_push_events" : false , "merge_requests_events" : true , "repository_update_events" : true , "enable_ssl_verification" : true , "url_variables" : [ ] , "token_present" : false , "signing_token_present" : false } 히스토리 name 및 description 속성이 GitLab 17.1에서 도입 되었습니다. token_prese
